Subject: Misleading error message when calling inactive package
Description

When trying to use an inactive package you currently get a "404 Not Found - No controller could be resolved which would match your
request."

It would be awesome to get a hint at package activation, the message should inform about the package not being available/active.
After all that's different from the package being available but the controller not.

Associated revisions
Revision 33d98450 - 2009-07-27 11:41 - Karsten Dambekalns

[+BUGFIX] FLOW3 (MVC): When calling a controller on an inactive package the user no longer simply get's a 404 but a helpful hint. Fixes #3699.

History
#1 - 2009-07-03 18:59 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

I'll upload a patch with a suggested solution tomorrow.

#2 - 2009-07-05 23:50 - Bastian Waidelich
- File FLOW3_misleading_error_message_when_calling_inactive_package_1.patch added
- Status changed from New to Needs Feedback
- Assigned To deleted (Bastian Waidelich)

Please have a look at the attached patch.
It brings some extensive changes to the way the controller is resolved and I'm not perfectly sure about the implementation.
But IMO the request was involved too much in package/controller determination anyways...
Maybe the request should have no dependency to the PackageManager at all!?

#3 - 2009-07-06 14:52 - Robert Lemke
- Priority changed from Should have to Must have
- Target version set to 283

#4 - 2009-07-13 10:36 - Robert Lemke
- Priority changed from Must have to Should have

2015-08-03 1/2



- Target version changed from 283 to 1.0 alpha 3

#5 - 2009-07-24 21:29 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns

#6 - 2009-07-27 12:00 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset r2888.

Files
FLOW3_misleading_error_message_when_calling_inactive_package_1.patch34.7 kB 2009-07-05 Bastian Waidelich
